Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network29.166.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
29.166.0.0
Broadcast address
29.166.63.255
First usable
29.166.0.1
Last usable
29.166.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 1DA60000 · Integer 497418240 to 497434623
Reverse DNS zones
0.166.29.in-addr.arpa
1.166.29.in-addr.arpa
2.166.29.in-addr.arpa
3.166.29.in-addr.arpa
4.166.29.in-addr.arpa
5.166.29.in-addr.arpa
6.166.29.in-addr.arpa
7.166.29.in-addr.arpa
8.166.29.in-addr.arpa
9.166.29.in-addr.arpa
10.166.29.in-addr.arpa
11.166.29.in-addr.arpa
12.166.29.in-addr.arpa
13.166.29.in-addr.arpa
14.166.29.in-addr.arpa
15.166.29.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011101.10100110.00000000.0000000029.166.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00011101.10100110.00000000.0000000029.166.0.0
Broadcast00011101.10100110.00111111.1111111129.166.63.255
Split into smaller subnets/28

29.166.0.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
129.166.0.0/2829.166.0.1 to 29.166.0.1429.166.0.1514
229.166.0.16/2829.166.0.17 to 29.166.0.3029.166.0.3114
329.166.0.32/2829.166.0.33 to 29.166.0.4629.166.0.4714
429.166.0.48/2829.166.0.49 to 29.166.0.6229.166.0.6314
529.166.0.64/2829.166.0.65 to 29.166.0.7829.166.0.7914
629.166.0.80/2829.166.0.81 to 29.166.0.9429.166.0.9514
729.166.0.96/2829.166.0.97 to 29.166.0.11029.166.0.11114
829.166.0.112/2829.166.0.113 to 29.166.0.12629.166.0.12714
929.166.0.128/2829.166.0.129 to 29.166.0.14229.166.0.14314
1029.166.0.144/2829.166.0.145 to 29.166.0.15829.166.0.15914
1129.166.0.160/2829.166.0.161 to 29.166.0.17429.166.0.17514
1229.166.0.176/2829.166.0.177 to 29.166.0.19029.166.0.19114
1329.166.0.192/2829.166.0.193 to 29.166.0.20629.166.0.20714
1429.166.0.208/2829.166.0.209 to 29.166.0.22229.166.0.22314
1529.166.0.224/2829.166.0.225 to 29.166.0.23829.166.0.23914
1629.166.0.240/2829.166.0.241 to 29.166.0.25429.166.0.25514
1729.166.1.0/2829.166.1.1 to 29.166.1.1429.166.1.1514
1829.166.1.16/2829.166.1.17 to 29.166.1.3029.166.1.3114
1929.166.1.32/2829.166.1.33 to 29.166.1.4629.166.1.4714
2029.166.1.48/2829.166.1.49 to 29.166.1.6229.166.1.6314
2129.166.1.64/2829.166.1.65 to 29.166.1.7829.166.1.7914
2229.166.1.80/2829.166.1.81 to 29.166.1.9429.166.1.9514
2329.166.1.96/2829.166.1.97 to 29.166.1.11029.166.1.11114
2429.166.1.112/2829.166.1.113 to 29.166.1.12629.166.1.12714
2529.166.1.128/2829.166.1.129 to 29.166.1.14229.166.1.14314
2629.166.1.144/2829.166.1.145 to 29.166.1.15829.166.1.15914
2729.166.1.160/2829.166.1.161 to 29.166.1.17429.166.1.17514
2829.166.1.176/2829.166.1.177 to 29.166.1.19029.166.1.19114
2929.166.1.192/2829.166.1.193 to 29.166.1.20629.166.1.20714
3029.166.1.208/2829.166.1.209 to 29.166.1.22229.166.1.22314
3129.166.1.224/2829.166.1.225 to 29.166.1.23829.166.1.23914
3229.166.1.240/2829.166.1.241 to 29.166.1.25429.166.1.25514
3329.166.2.0/2829.166.2.1 to 29.166.2.1429.166.2.1514
3429.166.2.16/2829.166.2.17 to 29.166.2.3029.166.2.3114
3529.166.2.32/2829.166.2.33 to 29.166.2.4629.166.2.4714
3629.166.2.48/2829.166.2.49 to 29.166.2.6229.166.2.6314
3729.166.2.64/2829.166.2.65 to 29.166.2.7829.166.2.7914
3829.166.2.80/2829.166.2.81 to 29.166.2.9429.166.2.9514
3929.166.2.96/2829.166.2.97 to 29.166.2.11029.166.2.11114
4029.166.2.112/2829.166.2.113 to 29.166.2.12629.166.2.12714
4129.166.2.128/2829.166.2.129 to 29.166.2.14229.166.2.14314
4229.166.2.144/2829.166.2.145 to 29.166.2.15829.166.2.15914
4329.166.2.160/2829.166.2.161 to 29.166.2.17429.166.2.17514
4429.166.2.176/2829.166.2.177 to 29.166.2.19029.166.2.19114
4529.166.2.192/2829.166.2.193 to 29.166.2.20629.166.2.20714
4629.166.2.208/2829.166.2.209 to 29.166.2.22229.166.2.22314
4729.166.2.224/2829.166.2.225 to 29.166.2.23829.166.2.23914
4829.166.2.240/2829.166.2.241 to 29.166.2.25429.166.2.25514
4929.166.3.0/2829.166.3.1 to 29.166.3.1429.166.3.1514
5029.166.3.16/2829.166.3.17 to 29.166.3.3029.166.3.3114
5129.166.3.32/2829.166.3.33 to 29.166.3.4629.166.3.4714
5229.166.3.48/2829.166.3.49 to 29.166.3.6229.166.3.6314
5329.166.3.64/2829.166.3.65 to 29.166.3.7829.166.3.7914
5429.166.3.80/2829.166.3.81 to 29.166.3.9429.166.3.9514
5529.166.3.96/2829.166.3.97 to 29.166.3.11029.166.3.11114
5629.166.3.112/2829.166.3.113 to 29.166.3.12629.166.3.12714
5729.166.3.128/2829.166.3.129 to 29.166.3.14229.166.3.14314
5829.166.3.144/2829.166.3.145 to 29.166.3.15829.166.3.15914
5929.166.3.160/2829.166.3.161 to 29.166.3.17429.166.3.17514
6029.166.3.176/2829.166.3.177 to 29.166.3.19029.166.3.19114
6129.166.3.192/2829.166.3.193 to 29.166.3.20629.166.3.20714
6229.166.3.208/2829.166.3.209 to 29.166.3.22229.166.3.22314
6329.166.3.224/2829.166.3.225 to 29.166.3.23829.166.3.23914
6429.166.3.240/2829.166.3.241 to 29.166.3.25429.166.3.25514
6529.166.4.0/2829.166.4.1 to 29.166.4.1429.166.4.1514
6629.166.4.16/2829.166.4.17 to 29.166.4.3029.166.4.3114
6729.166.4.32/2829.166.4.33 to 29.166.4.4629.166.4.4714
6829.166.4.48/2829.166.4.49 to 29.166.4.6229.166.4.6314
6929.166.4.64/2829.166.4.65 to 29.166.4.7829.166.4.7914
7029.166.4.80/2829.166.4.81 to 29.166.4.9429.166.4.9514
7129.166.4.96/2829.166.4.97 to 29.166.4.11029.166.4.11114
7229.166.4.112/2829.166.4.113 to 29.166.4.12629.166.4.12714
7329.166.4.128/2829.166.4.129 to 29.166.4.14229.166.4.14314
7429.166.4.144/2829.166.4.145 to 29.166.4.15829.166.4.15914
7529.166.4.160/2829.166.4.161 to 29.166.4.17429.166.4.17514
7629.166.4.176/2829.166.4.177 to 29.166.4.19029.166.4.19114
7729.166.4.192/2829.166.4.193 to 29.166.4.20629.166.4.20714
7829.166.4.208/2829.166.4.209 to 29.166.4.22229.166.4.22314
7929.166.4.224/2829.166.4.225 to 29.166.4.23829.166.4.23914
8029.166.4.240/2829.166.4.241 to 29.166.4.25429.166.4.25514
8129.166.5.0/2829.166.5.1 to 29.166.5.1429.166.5.1514
8229.166.5.16/2829.166.5.17 to 29.166.5.3029.166.5.3114
8329.166.5.32/2829.166.5.33 to 29.166.5.4629.166.5.4714
8429.166.5.48/2829.166.5.49 to 29.166.5.6229.166.5.6314
8529.166.5.64/2829.166.5.65 to 29.166.5.7829.166.5.7914
8629.166.5.80/2829.166.5.81 to 29.166.5.9429.166.5.9514
8729.166.5.96/2829.166.5.97 to 29.166.5.11029.166.5.11114
8829.166.5.112/2829.166.5.113 to 29.166.5.12629.166.5.12714
8929.166.5.128/2829.166.5.129 to 29.166.5.14229.166.5.14314
9029.166.5.144/2829.166.5.145 to 29.166.5.15829.166.5.15914
9129.166.5.160/2829.166.5.161 to 29.166.5.17429.166.5.17514
9229.166.5.176/2829.166.5.177 to 29.166.5.19029.166.5.19114
9329.166.5.192/2829.166.5.193 to 29.166.5.20629.166.5.20714
9429.166.5.208/2829.166.5.209 to 29.166.5.22229.166.5.22314
9529.166.5.224/2829.166.5.225 to 29.166.5.23829.166.5.23914
9629.166.5.240/2829.166.5.241 to 29.166.5.25429.166.5.25514
9729.166.6.0/2829.166.6.1 to 29.166.6.1429.166.6.1514
9829.166.6.16/2829.166.6.17 to 29.166.6.3029.166.6.3114
9929.166.6.32/2829.166.6.33 to 29.166.6.4629.166.6.4714
10029.166.6.48/2829.166.6.49 to 29.166.6.6229.166.6.6314
10129.166.6.64/2829.166.6.65 to 29.166.6.7829.166.6.7914
10229.166.6.80/2829.166.6.81 to 29.166.6.9429.166.6.9514
10329.166.6.96/2829.166.6.97 to 29.166.6.11029.166.6.11114
10429.166.6.112/2829.166.6.113 to 29.166.6.12629.166.6.12714
10529.166.6.128/2829.166.6.129 to 29.166.6.14229.166.6.14314
10629.166.6.144/2829.166.6.145 to 29.166.6.15829.166.6.15914
10729.166.6.160/2829.166.6.161 to 29.166.6.17429.166.6.17514
10829.166.6.176/2829.166.6.177 to 29.166.6.19029.166.6.19114
10929.166.6.192/2829.166.6.193 to 29.166.6.20629.166.6.20714
11029.166.6.208/2829.166.6.209 to 29.166.6.22229.166.6.22314
11129.166.6.224/2829.166.6.225 to 29.166.6.23829.166.6.23914
11229.166.6.240/2829.166.6.241 to 29.166.6.25429.166.6.25514
11329.166.7.0/2829.166.7.1 to 29.166.7.1429.166.7.1514
11429.166.7.16/2829.166.7.17 to 29.166.7.3029.166.7.3114
11529.166.7.32/2829.166.7.33 to 29.166.7.4629.166.7.4714
11629.166.7.48/2829.166.7.49 to 29.166.7.6229.166.7.6314
11729.166.7.64/2829.166.7.65 to 29.166.7.7829.166.7.7914
11829.166.7.80/2829.166.7.81 to 29.166.7.9429.166.7.9514
11929.166.7.96/2829.166.7.97 to 29.166.7.11029.166.7.11114
12029.166.7.112/2829.166.7.113 to 29.166.7.12629.166.7.12714
12129.166.7.128/2829.166.7.129 to 29.166.7.14229.166.7.14314
12229.166.7.144/2829.166.7.145 to 29.166.7.15829.166.7.15914
12329.166.7.160/2829.166.7.161 to 29.166.7.17429.166.7.17514
12429.166.7.176/2829.166.7.177 to 29.166.7.19029.166.7.19114
12529.166.7.192/2829.166.7.193 to 29.166.7.20629.166.7.20714
12629.166.7.208/2829.166.7.209 to 29.166.7.22229.166.7.22314
12729.166.7.224/2829.166.7.225 to 29.166.7.23829.166.7.23914
12829.166.7.240/2829.166.7.241 to 29.166.7.25429.166.7.25514
12929.166.8.0/2829.166.8.1 to 29.166.8.1429.166.8.1514
13029.166.8.16/2829.166.8.17 to 29.166.8.3029.166.8.3114
13129.166.8.32/2829.166.8.33 to 29.166.8.4629.166.8.4714
13229.166.8.48/2829.166.8.49 to 29.166.8.6229.166.8.6314
13329.166.8.64/2829.166.8.65 to 29.166.8.7829.166.8.7914
13429.166.8.80/2829.166.8.81 to 29.166.8.9429.166.8.9514
13529.166.8.96/2829.166.8.97 to 29.166.8.11029.166.8.11114
13629.166.8.112/2829.166.8.113 to 29.166.8.12629.166.8.12714
13729.166.8.128/2829.166.8.129 to 29.166.8.14229.166.8.14314
13829.166.8.144/2829.166.8.145 to 29.166.8.15829.166.8.15914
13929.166.8.160/2829.166.8.161 to 29.166.8.17429.166.8.17514
14029.166.8.176/2829.166.8.177 to 29.166.8.19029.166.8.19114
14129.166.8.192/2829.166.8.193 to 29.166.8.20629.166.8.20714
14229.166.8.208/2829.166.8.209 to 29.166.8.22229.166.8.22314
14329.166.8.224/2829.166.8.225 to 29.166.8.23829.166.8.23914
14429.166.8.240/2829.166.8.241 to 29.166.8.25429.166.8.25514
14529.166.9.0/2829.166.9.1 to 29.166.9.1429.166.9.1514
14629.166.9.16/2829.166.9.17 to 29.166.9.3029.166.9.3114
14729.166.9.32/2829.166.9.33 to 29.166.9.4629.166.9.4714
14829.166.9.48/2829.166.9.49 to 29.166.9.6229.166.9.6314
14929.166.9.64/2829.166.9.65 to 29.166.9.7829.166.9.7914
15029.166.9.80/2829.166.9.81 to 29.166.9.9429.166.9.9514
15129.166.9.96/2829.166.9.97 to 29.166.9.11029.166.9.11114
15229.166.9.112/2829.166.9.113 to 29.166.9.12629.166.9.12714
15329.166.9.128/2829.166.9.129 to 29.166.9.14229.166.9.14314
15429.166.9.144/2829.166.9.145 to 29.166.9.15829.166.9.15914
15529.166.9.160/2829.166.9.161 to 29.166.9.17429.166.9.17514
15629.166.9.176/2829.166.9.177 to 29.166.9.19029.166.9.19114
15729.166.9.192/2829.166.9.193 to 29.166.9.20629.166.9.20714
15829.166.9.208/2829.166.9.209 to 29.166.9.22229.166.9.22314
15929.166.9.224/2829.166.9.225 to 29.166.9.23829.166.9.23914
16029.166.9.240/2829.166.9.241 to 29.166.9.25429.166.9.25514
16129.166.10.0/2829.166.10.1 to 29.166.10.1429.166.10.1514
16229.166.10.16/2829.166.10.17 to 29.166.10.3029.166.10.3114
16329.166.10.32/2829.166.10.33 to 29.166.10.4629.166.10.4714
16429.166.10.48/2829.166.10.49 to 29.166.10.6229.166.10.6314
16529.166.10.64/2829.166.10.65 to 29.166.10.7829.166.10.7914
16629.166.10.80/2829.166.10.81 to 29.166.10.9429.166.10.9514
16729.166.10.96/2829.166.10.97 to 29.166.10.11029.166.10.11114
16829.166.10.112/2829.166.10.113 to 29.166.10.12629.166.10.12714
16929.166.10.128/2829.166.10.129 to 29.166.10.14229.166.10.14314
17029.166.10.144/2829.166.10.145 to 29.166.10.15829.166.10.15914
17129.166.10.160/2829.166.10.161 to 29.166.10.17429.166.10.17514
17229.166.10.176/2829.166.10.177 to 29.166.10.19029.166.10.19114
17329.166.10.192/2829.166.10.193 to 29.166.10.20629.166.10.20714
17429.166.10.208/2829.166.10.209 to 29.166.10.22229.166.10.22314
17529.166.10.224/2829.166.10.225 to 29.166.10.23829.166.10.23914
17629.166.10.240/2829.166.10.241 to 29.166.10.25429.166.10.25514
17729.166.11.0/2829.166.11.1 to 29.166.11.1429.166.11.1514
17829.166.11.16/2829.166.11.17 to 29.166.11.3029.166.11.3114
17929.166.11.32/2829.166.11.33 to 29.166.11.4629.166.11.4714
18029.166.11.48/2829.166.11.49 to 29.166.11.6229.166.11.6314
18129.166.11.64/2829.166.11.65 to 29.166.11.7829.166.11.7914
18229.166.11.80/2829.166.11.81 to 29.166.11.9429.166.11.9514
18329.166.11.96/2829.166.11.97 to 29.166.11.11029.166.11.11114
18429.166.11.112/2829.166.11.113 to 29.166.11.12629.166.11.12714
18529.166.11.128/2829.166.11.129 to 29.166.11.14229.166.11.14314
18629.166.11.144/2829.166.11.145 to 29.166.11.15829.166.11.15914
18729.166.11.160/2829.166.11.161 to 29.166.11.17429.166.11.17514
18829.166.11.176/2829.166.11.177 to 29.166.11.19029.166.11.19114
18929.166.11.192/2829.166.11.193 to 29.166.11.20629.166.11.20714
19029.166.11.208/2829.166.11.209 to 29.166.11.22229.166.11.22314
19129.166.11.224/2829.166.11.225 to 29.166.11.23829.166.11.23914
19229.166.11.240/2829.166.11.241 to 29.166.11.25429.166.11.25514
19329.166.12.0/2829.166.12.1 to 29.166.12.1429.166.12.1514
19429.166.12.16/2829.166.12.17 to 29.166.12.3029.166.12.3114
19529.166.12.32/2829.166.12.33 to 29.166.12.4629.166.12.4714
19629.166.12.48/2829.166.12.49 to 29.166.12.6229.166.12.6314
19729.166.12.64/2829.166.12.65 to 29.166.12.7829.166.12.7914
19829.166.12.80/2829.166.12.81 to 29.166.12.9429.166.12.9514
19929.166.12.96/2829.166.12.97 to 29.166.12.11029.166.12.11114
20029.166.12.112/2829.166.12.113 to 29.166.12.12629.166.12.12714
20129.166.12.128/2829.166.12.129 to 29.166.12.14229.166.12.14314
20229.166.12.144/2829.166.12.145 to 29.166.12.15829.166.12.15914
20329.166.12.160/2829.166.12.161 to 29.166.12.17429.166.12.17514
20429.166.12.176/2829.166.12.177 to 29.166.12.19029.166.12.19114
20529.166.12.192/2829.166.12.193 to 29.166.12.20629.166.12.20714
20629.166.12.208/2829.166.12.209 to 29.166.12.22229.166.12.22314
20729.166.12.224/2829.166.12.225 to 29.166.12.23829.166.12.23914
20829.166.12.240/2829.166.12.241 to 29.166.12.25429.166.12.25514
20929.166.13.0/2829.166.13.1 to 29.166.13.1429.166.13.1514
21029.166.13.16/2829.166.13.17 to 29.166.13.3029.166.13.3114
21129.166.13.32/2829.166.13.33 to 29.166.13.4629.166.13.4714
21229.166.13.48/2829.166.13.49 to 29.166.13.6229.166.13.6314
21329.166.13.64/2829.166.13.65 to 29.166.13.7829.166.13.7914
21429.166.13.80/2829.166.13.81 to 29.166.13.9429.166.13.9514
21529.166.13.96/2829.166.13.97 to 29.166.13.11029.166.13.11114
21629.166.13.112/2829.166.13.113 to 29.166.13.12629.166.13.12714
21729.166.13.128/2829.166.13.129 to 29.166.13.14229.166.13.14314
21829.166.13.144/2829.166.13.145 to 29.166.13.15829.166.13.15914
21929.166.13.160/2829.166.13.161 to 29.166.13.17429.166.13.17514
22029.166.13.176/2829.166.13.177 to 29.166.13.19029.166.13.19114
22129.166.13.192/2829.166.13.193 to 29.166.13.20629.166.13.20714
22229.166.13.208/2829.166.13.209 to 29.166.13.22229.166.13.22314
22329.166.13.224/2829.166.13.225 to 29.166.13.23829.166.13.23914
22429.166.13.240/2829.166.13.241 to 29.166.13.25429.166.13.25514
22529.166.14.0/2829.166.14.1 to 29.166.14.1429.166.14.1514
22629.166.14.16/2829.166.14.17 to 29.166.14.3029.166.14.3114
22729.166.14.32/2829.166.14.33 to 29.166.14.4629.166.14.4714
22829.166.14.48/2829.166.14.49 to 29.166.14.6229.166.14.6314
22929.166.14.64/2829.166.14.65 to 29.166.14.7829.166.14.7914
23029.166.14.80/2829.166.14.81 to 29.166.14.9429.166.14.9514
23129.166.14.96/2829.166.14.97 to 29.166.14.11029.166.14.11114
23229.166.14.112/2829.166.14.113 to 29.166.14.12629.166.14.12714
23329.166.14.128/2829.166.14.129 to 29.166.14.14229.166.14.14314
23429.166.14.144/2829.166.14.145 to 29.166.14.15829.166.14.15914
23529.166.14.160/2829.166.14.161 to 29.166.14.17429.166.14.17514
23629.166.14.176/2829.166.14.177 to 29.166.14.19029.166.14.19114
23729.166.14.192/2829.166.14.193 to 29.166.14.20629.166.14.20714
23829.166.14.208/2829.166.14.209 to 29.166.14.22229.166.14.22314
23929.166.14.224/2829.166.14.225 to 29.166.14.23829.166.14.23914
24029.166.14.240/2829.166.14.241 to 29.166.14.25429.166.14.25514
24129.166.15.0/2829.166.15.1 to 29.166.15.1429.166.15.1514
24229.166.15.16/2829.166.15.17 to 29.166.15.3029.166.15.3114
24329.166.15.32/2829.166.15.33 to 29.166.15.4629.166.15.4714
24429.166.15.48/2829.166.15.49 to 29.166.15.6229.166.15.6314
24529.166.15.64/2829.166.15.65 to 29.166.15.7829.166.15.7914
24629.166.15.80/2829.166.15.81 to 29.166.15.9429.166.15.9514
24729.166.15.96/2829.166.15.97 to 29.166.15.11029.166.15.11114
24829.166.15.112/2829.166.15.113 to 29.166.15.12629.166.15.12714
24929.166.15.128/2829.166.15.129 to 29.166.15.14229.166.15.14314
25029.166.15.144/2829.166.15.145 to 29.166.15.15829.166.15.15914
25129.166.15.160/2829.166.15.161 to 29.166.15.17429.166.15.17514
25229.166.15.176/2829.166.15.177 to 29.166.15.19029.166.15.19114
25329.166.15.192/2829.166.15.193 to 29.166.15.20629.166.15.20714
25429.166.15.208/2829.166.15.209 to 29.166.15.22229.166.15.22314
25529.166.15.224/2829.166.15.225 to 29.166.15.23829.166.15.23914
25629.166.15.240/2829.166.15.241 to 29.166.15.25429.166.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses